# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# %name or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name gpscorrelate
%define version 1.6.1
%global docdir_nv %{_docdir}/%{name}-%{version}

Name:           gpscorrelate
Version:        1.6.1
Release:        alt2_8
Summary:        A GPS photo correlation / geotagging tool

Group:          Office
License:        GPLv2+
URL:            http://freefoote.dview.net/linux_gpscorr.html
Source0:        http://freefoote.dview.net/linux/gpscorrelate-%{version}.tar.gz
Patch:	gpscorrelate-1.6.1-alt-linkage.patch

BuildRequires:  libexiv2-devel libxml2-devel gtk2-devel
# For the .desktop file
BuildRequires:  desktop-file-utils
# For the manpage
BuildRequires:  xsltproc libxslt docbook-style-xsl
# For: %{_datadir}/icons/hicolor/scalable/apps/gpscorrelate-gui.svg
Requires: icon-theme-hicolor
Source44: import.info


%description
Gpscorrelate adds coordinates to the exif data of jpeg pictures based on a gpx
track file. The correlation is done by comparing the timestamp of the images
with the timestamp of the gps coordinates.


%prep
%setup -q
%patch -p1 

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" OFLAGS="$RPM_OPT_FLAGS" docdir="%{docdir_nv}"


%install
make install DESTDIR=$RPM_BUILD_ROOT bindir=%{_bindir} mandir=%{_mandir} docdir="%{docdir_nv}"
make install-desktop-file DESTDIR=$RPM_BUILD_ROOT datadir=%{_datadir} 


%files
%doc COPYING RELEASES doc/*.html doc/*.png
%{_bindir}/%{name}
%{_bindir}/%{name}-gui
%{_datadir}/applications/gpscorrelate.desktop
%{_datadir}/icons/hicolor/scalable/apps/gpscorrelate-gui.svg
%{_mandir}/man1/gpscorrelate.1*


%changelog
* Wed Jan 30 2013 Cronbuild Service <cronbuild@altlinux.org> 1.6.1-alt2_8
- rebuild to get rid of unmets

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_8
- initial fc import

